""" Filter functions described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  amtToDarkenBy = requestNumber("Enter amout to darken by:")
  
  print "Please wait while picture is processed."
  darkenByAmt(pict, amtToDarkenBy)
  
  repaint(pict)
  
def darkenByAmt(pict, amtToDarkenBy):
  for px in getPixels(pict):
    newRed = getRed(px) - amtToDarkenBy
    newGreen = getGreen(px) - amtToDarkenBy
    newBlue = getBlue(px) - amtToDarkenBy
    darkerColor = makeColor(newRed,newGreen,newBlue)
    setColor(px, darkerColor)
    
main() # starts the program