""" Filter functions described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  negate(pict)
  
  repaint(pict)
  
def negate(pict):
  for px in getPixels(pict):
    newBlue = 255 - getBlue(px)
    newGreen = 255 - getGreen(px)
    newRed = 255 - getRed(px)
   
    negatedColor = makeColor(newRed, newGreen, newBlue)
    setColor(px, negatedColor)
    
main() # starts the program