""" 'makeSunset' filter function described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  makeSunset(pict)
  
  repaint(pict)  # updates the picture shown
  
def makeSunset(pict):
  for px in getPixels(pict):
    reducedBlue = getBlue(px)*0.7
    reducedGreen = getGreen(px)*0.7
    originalRed = getRed(px)
    newColor = makeColor(originalRed, reducedGreen, reducedBlue)
    setColor(px, newColor)
    
main() # starts the program