""" Filter functions described in chapter 3 """
def main():
  print "Select the Media Folder"
  setMediaFolder()
  print "Select the picture (.jpg) file"
  fileName = pickAFile()
  pict = makePicture(fileName)
  show(pict)
  
  print "Please wait while picture is processed."
  darken(pict)
  
  repaint(pict)
  
def darken(pict):
  for px in getPixels(pict):
    pxColor = getColor(px)
    darkerColor = makeDarker(pxColor)
    setColor(px, darkerColor)
    
main() # starts the program